org.apache.felix.cm.json.io

## Class ConfigurationResource

- java.lang.Object
- - org.apache.felix.cm.json.io.ConfigurationResource

    public final class ConfigurationResource
    extends Object

A configuration resource holds a set of configurations

### Field Summary

Fields
`static String` `CONFIGURATOR_PROPERTY_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Hashtable<String,Object>>` `getConfigurations()` The set of configurations mapped by identifier.
`Map<String,Object>` `getProperties()` The properties of the resource

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONFIGURATOR_PROPERTY_PREFIX

    public static final String CONFIGURATOR_PROPERTY_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### ConfigurationResource

    public ConfigurationResource()

### Method Detail

#### getConfigurations

    public Map<String,Hashtable<String,Object>> getConfigurations()

The set of configurations mapped by identifier.

Returns:
  The configurations.

#### getProperties

    public Map<String,Object> getProperties()

The properties of the resource

Returns:
  A map of properties